
/* VARIABLES */

:root {
  /* Colors */
    --color-primary: #F1E9DE;
    --color-primary-h: 35;
    --color-primary-s: 40%;
    --color-primary-l: 91%;
    --color-primary-hover: #e2ceb4;
    --color-primary-lighter: #e2ceb4;
    --color-primary-hover-h: 7;
    --color-primary-hover-s: 95%;
    --color-primary-hover-l: 85%;
    --color-secondary: #E1614E;
    --color-secondary-h: 8;
    --color-secondary-s: 71%;
    --color-secondary-l: 59%;
    --color-secondary-hover: #ff8d5c;
    --color-secondary-hover-h: 18;
    --color-secondary-hover-s: 100%;
    --color-secondary-hover-l: 68%;
    --color-tertiary: #f9f9f9;
    --color-tertiary-h: 0;
    --color-tertiary-s: 0%;
    --color-tertiary-l: 98%;
    --color-tertiary-hover: #161616;
    --color-tertiary-hover-h: 0;
    --color-tertiary-hover-s: 0%;
    --color-tertiary-hover-l: 9%;
    --color-header-background: #ffffff;
    --colors-surface-primary: #f0e8db;
    --color-dark: #688267;
  
  /* Typography */
  --body-normal: 16px;
  --body-small: 14px;
  --body-smaller: 12px;
  --heading-font: var(--template-headings-font),sans-serif;
  --body-font: var(--template-font),sans-serif;
  --subheading: 18px;
  --p-title: 56px;
  --hero: 96px;
  --h1: 56px;
  --h2: 48px;
  --h3: 32px;
  --h4: 24px;
  --h1-sm: 44px;
  --h2-sm: 40px;
  --h3-sm: 32px;
  --h4-sm: 22px;

  /* Other Styles */
  --header-height: 52px;
  --header-height-sm: 40px;
  --transition: all .3s ease;
  --box-shadow: 0 0 30px rgba(0, 0, 0, .07);
  --m9: 9rem;
  --m5: 5rem;
  --m4: 4rem;
  --m3: 3rem;
  --m2: 2rem;
  --m1: 1rem;
  --m05: 0.5rem;
}
* {
  scroll-behavior: smooth;
  box-sizing: border-box;
  transition: all .3s ease;
}
html {
  overflow-x: hidden;
}
body {
  font-size: var(--body-normal);
  font-family: var(--body-font);
  color: var(--html);
  font-weight: var(--font-300);
}
img {
  max-width: 100%;
}
/* GENERAL TYPOGRAPHY */
p {
  color: var(--html);
}
b,strong {
  font-weight: 600 !important;
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  font-family: var(--heading-font);
  font-weight: 400;
  color: var(--neutral-darker);
  line-height: 1.2;
}
h1, h2, h3 {
  text-transform: uppercase;
  letter-spacing: 3px;
}
h1, .h1 {
  font-size: var(--h1);
  font-weight: 400;
}
h2, .h2, .homepage-group-title {
  font-size: var(--h2);
}
h3, .h3 {
  font-size: var(--h3);
}
h4, .h4 {
  font-size: var(--h4);
}
p {
  line-height: 1.7;
}
@media (max-width: 992px) {
  body {
    padding-top: 60px;
  }
  h1 {
    font-size: var(--h1-sm);
  }
  h2 {
    font-size: var(--h2-sm);
  }
  h3 {
    font-size: var(--h3-sm);
  }
  h4 {
    font-size: var(--h4-sm);
  }
}
:focus-visible, [tabindex="0"]:focus-visible, input:focus-visible, input[type=checkbox].focus-visible+label, input[type=checkbox]:focus-visible+label, input[type=radio].focus-visible+label, input[type=radio]:focus-visible+label, label:has(input[type=radio].focus-visible), label:has(input[type=radio]:focus-visible), select:focus-visible, textarea:focus-visible {
  box-shadow: 8px 8px 32px rgba(0,0,0,.12);
  outline: 1px solid var(--neutral-darker);
  outline-offset: 0px;
}
.accent {
  color: var(--accent);
}
.subtitle {
  font-size: var(--h3);
}
.center {
  text-align: center !important;
}
a, .link-like, a.link-icon {
  color: var(--accent);
}
a:hover, .link-like:hover, a.link-icon:hover,
a:focus, .link-like:focus, a.link-icon:focus {
  color: var(--accent);
}

/* BUTTONS STYLES */

.btn, a.btn {
  font-weight: 400 !important;
  text-transform: none;
  letter-spacing: 0px;
  padding: 8px 20px;
  font-size: var(--body-normal);
  border-radius: 999px;
}
/* BUTTON - Primary */
.btn.btn-primary, a.btn.btn-primary, .btn.btn-conversion, a.btn.btn-conversion,
.in-stroje .products-block>div .p .p-bottom>div .p-tools .btn.btn-cart,
.products-block>div .p .p-bottom>div .p-tools .btn, .products-block>div .p .p-bottom>div .p-tools .btn.btn-cart,
.products-block .btn-cart {
  color: white;
  border-color: var(--color-secondary);
  background-color: var(--color-secondary);
}
/* BUTTON - Primary Hover */
.btn.btn-primary:hover, a.btn.btn-primary:hover, .btn.btn-conversion:hover, a.btn.btn-conversion:hover,
.in-stroje .products-block>div .p .p-bottom>div .p-tools .btn.btn-cart:hover,
.products-block>div .p .p-bottom>div .p-tools .btn:hover, .products-block>div .p .p-bottom>div .p-tools .btn.btn-cart:hover,
.products-block .btn-cart:hover {
  border-color: var(--color-secondary);
  background-color: var(--color-secondary-hover);
}
/* BUTTON - Default */
.btn.btn-default,  a.btn.btn-default, .btn.btn-secondary, a.btn.btn-secondary,
.products-block>div .p .p-bottom>div .p-tools .btn-default {
  color: inherit;
  border-width: 1px;
  border-color: var(--color-secondary);
  background-color: transparent;
}
.btn.btn-default:hover, a.btn.btn-default:hover, .btn.btn-secondary:hover, a.btn.btn-secondary:hover,
.products-block>div .p .p-bottom>div .p-tools .btn-default:hover {
  color: inherit;
  border-width: 1px;
  border-color: var(--color-secondary);
  background-color: transparent;
}
.btn-arrow::after {
  content: '\e90c';
  font-family: 'shoptet';
  font-size: 14px;
  margin-left: var(--m1);
  transition: var(--transition);
}
.btn-arrow:hover::after {
  margin-left: var(--m2);
}

/* ADDITIONAL STYLES */

@media (min-width: 1440px) {
  .container,
  .container-full-width{
        width: 1400px;
    }
}

/* NAVIGATION */

.navigation-in>ul>li>a b {
  font-size: var(--body-normal);
  font-weight: 400 !important;
}
@media (min-width: 768px) {
  .navigation-in {
      background-color: white;
  }
  .navigation-in>ul>li>a {
    border-radius: 0;
  }
}

/* HOMEPAGE */

.next-to-carousel-banners {
  gap: var(--m1);
  margin-top: var(--m4); 
}
.next-to-carousel-banners img {
  border-radius: var(--m2);
}
.benefitBanner {
  margin-bottom: 0;
}
.benefitBanner .benefitBanner__picture {
  background-color: white;
  padding: 12px;
  flex: 0 0 72px;
  height: 72px;
  margin: 16px;
  border-radius: var(--m2);
}
.product-slider-holder.has-navigation {
  padding: 0;
  padding-bottom: var(--m9);
}
.middle-banners .banner-wrapper {
  background-color: var(--color-dark);
}
.footer-banners .banner-wrapper {
  background-color: var(--color-secondary);
}
.middle-banners .banner-wrapper *,
.footer-banners .banner-wrapper * {
  color: white;
}
.middle-banners .banner-wrapper .extended-banner-link,
.footer-banners .banner-wrapper .extended-banner-link {
  color: white;
}
.middle-banners .banner-wrapper .extended-banner-link:hover,
.footer-banners .banner-wrapper .extended-banner-link:hover {
  color: white;
  opacity: 0.7;
}
@media (min-width: 1440px) {
  .banner-category>a .extended-banner-texts, .homepage-banners-full-width .banner-wrapper>a .extended-banner-texts {
    max-width: 768px;
    padding: 32px 96px;
  }
}
.homepage-group-title.h4,
.one-column-body .banner-category>a .extended-banner-texts .extended-banner-title, 
.one-column-body .homepage-banners-full-width .banner-wrapper>a .extended-banner-texts .extended-banner-title {
  margin-bottom: var(--m4);
  font-size: var(--h2);
  text-transform: uppercase;
  font-weight: 400;
  text-decoration: none;
  line-height: 1.2;
}
.one-column-body .homepage-banners-full-width .banner-wrapper>a .extended-banner-texts .extended-banner-title {
  margin-top: 0;
}

/* PRODUCT LIST WIDGET */

.product-slider .products-block {
  gap: var(--m1);
  flex-wrap: nowrap;
}
.products-block>div {
  background-color: white;
  border-radius: var(--m2);
  padding: var(--m2);
}
.products-block>div .p .p-in .p-in-in .name {
  font-weight: 400;
  font-size: var(--body-small);
  font-weight: 600;
}
.products-block>div .p .p-in .p-bottom>div .prices .price-final strong {
  font-weight: 400 !important;
}
.products-block>div .p .p-in .p-bottom>div .prices {
  margin-top: var(--m1);
}
.product .btn, .product a.btn {
  width: 100%;
}

/* CATEGORY DETAIL */

.category-top,
#content article header,
.type-posts-listing h1 {
  border: none;
  margin: var(--m5) 0;
  margin-top: 0;
  padding: var(--m3) 0;
  border-top: 1px solid rgba(0,0,0,.1);
  border-bottom: 1px solid rgba(0,0,0,.1);
  
}
.category-top h1,
#content article header h1 {
  margin: 0;
}
.category-title, .content-inner>h1, 
.content>h2, article header h1,
.type-posts-listing h1 {
  font-family: var(--heading-font);
  line-height: 1.2;
  font-size: var(--h3);
  text-transform: uppercase;
  letter-spacing: 2px;
}
.products-top-wrapper,
.category-header,
#filters-wrapper {
  display: none;
}
.type-category .products-block {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: var(--m1); 
    flex-wrap: unset;
}
.type-category .products-block .product {
    width: 100%;
    margin: 0;
}
@media (max-width: 576px) {
    .products-block {
        grid-template-columns: repeat(2, 1fr);
        gap: 12px;
    }
}

/* PRODUCT DETAIL */

.p-detail-full-width {
  background: transparent;
  margin-top: var(--m4);
}
.p-detail-inner h1 {
  text-transform: uppercase;
  font-weight: 400;
}
.type-product .benefit-banners-full-width {
  background-color: var(--color-primary-lighter);
  margin-top: var(--m3);
}
.type-product .benefitBanner {
  margin: 0;
  padding: var(--m3) 0;
}

/* BREADCRUMBS */

.breadcrumbs {
  padding: var(--m2);
  font-weight: 400;
}

/* BLOG POSTS */

.type-posts-listing h1 {
  text-align: center;
}
.blog-wrapper .news-item .description {
  opacity: .7;
  margin-top: var(--m2);
}
@media (min-width: 1200px) {
  .homepage-blog-wrapper .news-item {
    flex-basis: 33%;
    width: 33%;
  }
}
@media (min-width: 768px) {
  .blog-wrapper .news-item>a {
    border-radius: var(--m2);
    overflow: hidden;
  }
    .blog-wrapper .news-item .text {
      position: relative;
      overflow: visible;
      top: unset;
      left: 0;
      background: white;
      border-radius: 0;
      padding: var(--m3) var(--m2);
    }
  .news-item .image {
    margin: 0;
    padding: 0;
  }
  .blog-wrapper .news-item .text:hover {
    background: white;
  }
  .blog-wrapper .news-item .text .title {
    font-size: var(--subheading);
  }
  .blog-wrapper .image+.text,
  .blog-wrapper .image+.text .description, .blog-wrapper .image+.text .news-heading, .blog-wrapper .image+.text .title, .blog-wrapper .image+.text a, .blog-wrapper .image+.text time {
    color: unset;
  }
}

/* POST DETAIL */

.type-post h1 {
  margin-top: var(--m3);
}

.type-post.one-column-body #content {
  font-size: 12pt;
  line-height: 1.7;
}
.type-post.one-column-body #content blockquote {
  background: #a8877d26;
  margin: 0;
  padding: 30px;
}
.type-post.one-column-body #content blockquote p {
  margin-bottom: 0;
}
.type-post.one-column-body #content .next-prev a {
  text-decoration: none;
}
.type-post.one-column-body h1, .type-post.one-column-body h2, .type-post.one-column-body h3, .type-post.one-column-body h4, .type-post.one-column-body h5, .type-post.one-column-body h6 {
  font-weight: 400;
}
.type-post.one-column-body #content h1 {
  font-size: 32pt;
  margin-top: 56px;
}
.type-post.one-column-body #content h2 {
  font-size: 22pt;
  margin-top: 56px;
}
.type-post.one-column-body #content h3 {
  font-size: 18pt;
  margin-top: 48px;
}
.type-post.one-column-body #content h4 {
  font-size: 14pt;
  margin-top: 40px;
}
.type-post.one-column-body #content p,
.type-post.one-column-body #content ul,
.type-post.one-column-body #content blockquote {
  margin-bottom: 24px;
}
.type-post.one-column-body #content p img {
  margin-top: 24px;
}
.type-post.one-column-body #content a {
  text-decoration: underline;
  color: inherit;
}
.type-post.one-column-body #content a.btn-primary {
  color: white;
}
.type-post.one-column-body #content blockquote p,
.type-post.one-column-body #content blockquote {
  color: var(--neutral-darker);
}
/* ACCORDEON STYLES */

.accordeon {
    margin: var(--m3) 0;
}
.accordion-title {
    background-color: rgba(255,255,255,.6);
    padding: 16px;
    cursor: pointer;
    border: none;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: all 0.3s ease-out;
    margin-bottom: var(--m05);
    font-weight: 500;
    border-radius: var(--m1);
}
/* Šípka/ikona */
.accordion-title::after {
    content: '+';
    font-size: 1.5em;
    margin-left: 10px;
    transition: transform 0.3s;
}
/* Otočenie šípky pri aktívnom stave */
.accordion-title.active::after {
    content: '–'; /* Použijeme dlhú pomlčku */
    transform: rotate(180deg);
}
/* Obsah odpovede */
.accordion-content {
    padding: 0 20px;
    overflow: hidden;
    max-height: 0; /* Skrytie obsahu pomocou max-height */
    transition: max-height 0.3s ease-out, padding 0.3s ease-out;
    color: #555;
}
/* Rozbalený obsah */
.accordion-content.show {
    max-height: 500px; /* Nastavíme dostatočne veľkú hodnotu, aby sa obsah zobrazil */
    padding: 15px 20px;
}
.accordion-content p {
  margin-bottom: var(--m2) !important;
}